﻿Type=Class
Version=5.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module

#Event: Ready(isReady as boolean)

Sub Class_Globals
	Private mCallBack As Object
	Private mEventName As String
	Private mTTS As TTS
	Private mReady As Boolean
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Callback As Object, EventName As String, Lingua As String, Nazione As String)
	mCallBack = Callback
	mEventName = EventName
	mTTS.Initialize("TTS")
	ImpostaLingua(Lingua, Nazione)
End Sub

Private Sub ImpostaLingua(Lingua As String, Nazione As String) As Boolean
	Lingua = Lingua.ToLowerCase
	If Nazione.Length > 0 Then
		Nazione = Nazione.ToUpperCase
	End If
	
	Return mTTS.SetLanguage(Lingua, Nazione)
End Sub

Sub TTS_Ready (Success As Boolean)
	Log("TTS_Ready")
	If Success Then
		Log("TTS_Ready Success")
	Else
		Log("Error initializing TTS engine.")
	End If
	
	mReady = Success
	
	If SubExists(mCallBack, mEventName & "_Ready") Then
		CallSubDelayed2(mCallBack, mEventName & "_Ready", Success)
	End If
End Sub



public Sub Parla (Testo As String, Interrompi As Boolean)
	If mReady Then
		mTTS.Speak(Testo, Interrompi)
	Else
		ToastMessageShow("Impossibile pronunciare " & Testo, True)
	End If
End Sub		
